package com.goafanti.demandCollection.bo;

import org.apache.commons.lang3.StringUtils;

public class OutDemandCollection {
	private String id;
	private String dwmc;
	private String dwxz;
	private String dwxzValue;
	private String htly;
	private String ssszp;
	private String ssszc;
	private String sssza;
	private String ssyq;
	private String yysjjyspt;
	private String yysjjysptValue;
	private String frdb;
	private String tyshxydm;
	private String jjgm;
	private String rygm;
	private String clsj;
	private String zczb;
	private String txdz;
	private String yb;
	private String lxr;
	private String lxdh;
	private String email;
	private String zyywjhxcp;
	private String ndxmzyywsr18;
	private String ndxmjlr18;
	private String ndxmzyywsr19;
	private String ndxmjlr19;
	private String ndyftr;
	private String ndyftrzyysrbl;
	private String sfchyhdk;
	private String sfchyhdkValue;
	private String sfwgxjsqy;
	private String sfwgxjsqyValue;
	private String sfwkjxzxqy;
	private String sfwkjxzxqyValue;
	private String zlsl;
	private String zlslFmzl;
	private String zlslSyxx;
	private String sfchkjzxzj;
	private String sfycxyz;
	private String sfycxyzValue;
	private String sfyhjgtzztz;
	private String sfyhjgtzztzValue;
	private String cgmc;
	private String cgly;
	private String cgsx;
	private String cgtxxs;
	private String cgtxxsValue;
	private String cgcsd;
	private String cgzscqxs;
	private String zscqqs;
	private String zlzt;
	private String cgdjqk;
	private String cgdjqkValue;
	private String ncqcgzyzhfszzzh;
	private String ncqcgzyzhfshzkf;
	private String ncqcgzyzhfsjszr;
	private String yjkzyzhsj;
	private String cgjs;
	private String sfycghzxq;
	private String sfyyxhzdw;
	private String sfyyxhzdwValue;
	private String yxhzfs;
	private String yxhzfsValue;
	private String yssdkjzc;
	private String yssdkjzcValue;
	private String nsqdsjxm;
	private String nsqdsjxmValue;
	private String sqskjzgbmxxdwgkfb;
	private String sqskjzgbmxxdwgkfbValue;
	private String jsfzr;
	private String jsfsj;
	private String xqmc;
	private String xqbl;
	private String jsxqlx;
	private String xqly;
	private String mqcpjsxz;
	private String yfnd;
	private String yqdddxg;
	private String yjzkdgz;
	private String xyyftjqk;
	private String mqhzdxqk;
	private String sfyxybhzxq;
	private String yxhzdx;
	private String yxhzdxValue;
	private String ncqdhzfs;
	private String ncqdhzfsValue;
	private String xqjjjzsj;
	private String wjjjsntntgdhzzj;
	private String zjyt;
	private String zjqk;
	private String xqjjfs;
	private String xqjjfsValue;
	private String createTime;
	private String sfxwgw;
	private String sfyxck;
	private String qyyzkdgjqykjcxhzqk;
	private String zyhzfs;
	private String zyhzfsValue;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getDwmc() {
		return dwmc;
	}

	public void setDwmc(String dwmc) {
		this.dwmc = dwmc;
	}

	public String getDwxz() {
		if (dwxz == null)
			return "";
		if (dwxz.equals("0")) {
			return dwxzValue;
		} else if (dwxz.equals("1")) {
			return "高等院校";
		} else if (dwxz.equals("2")) {
			return "国有科研机构";
		} else if (dwxz.equals("3")) {
			return "新型独立研发机构";
		} else if (dwxz.equals("4")) {
			return "国有企业";
		} else if (dwxz.equals("5")) {
			return "民营企业";
		} else if (dwxz.equals("6")) {
			return "科技中介服务机构";
		} else if (dwxz.equals("7")) {
			return "省产业技术创新战略联盟";
		} else if (dwxz.equals("8")) {
			return "全省性科技行业协会";
		}
		return dwxz;
	}

	public void setDwxz(String dwxz) {
		this.dwxz = dwxz;
	}

	public String getHtly() {
		if (htly == null)
			return "";
		if (htly.equals("0"))
			return "其他";
		else if (htly.equals("1"))
			return "新型材料";
		else if (htly.equals("2"))
			return "电子信息";
		else if (htly.equals("3"))
			return "机械";
		else if (htly.equals("4"))
			return "电气自动化";
		else if (htly.equals("5"))
			return "新能源";
		else if (htly.equals("6"))
			return "环保和资源";
		else if (htly.equals("7"))
			return "轻工纺织";
		else if (htly.equals("8"))
			return "航空航天";
		else if (htly.equals("9"))
			return "医药医疗";
		else if (htly.equals("10"))
			return "包装印刷";
		else if (htly.equals("11"))
			return "海洋工程";
		else if (htly.equals("12"))
			return "仪器仪表";
		else if (htly.equals("13"))
			return "建筑建材";
		else if (htly.equals("14"))
			return "农林牧渔";
		else if (htly.equals("15"))
			return "食品饮料";
		else if (htly.equals("16"))
			return "采矿冶金";
		else if (htly.equals("17"))
			return "生活家居";
		else if (htly.equals("18"))
			return "化学化工";
		else if (htly.equals("19"))
			return "安全防护";
		else if (htly.equals("20"))
			return "交通运输";
		else if (htly.equals("21"))
			return "橡胶塑料";
		else if (htly.equals("22"))
			return "教育";
		else if (htly.equals("23"))
			return "休闲";
		return htly;
	}

	public void setHtly(String htly) {
		this.htly = htly;
	}

	public String getSsszp() {
		return ssszp;
	}

	public void setSsszp(String ssszp) {
		this.ssszp = ssszp;
	}

	public String getSsszc() {
		return ssszc;
	}

	public void setSsszc(String ssszc) {
		this.ssszc = ssszc;
	}

	public String getSsyq() {
		return ssyq;
	}

	public void setSsyq(String ssyq) {
		this.ssyq = ssyq;
	}

	public String getYysjjyspt() {
		if (yysjjyspt == null)
			return "";
		if (yysjjyspt.equals("0"))
			return yysjjysptValue;
		else if (yysjjyspt.equals("1"))
			return "省级平台";
		else if (yysjjyspt.equals("2"))
			return "国家级平台";
		return yysjjyspt;
	}

	public void setYysjjyspt(String yysjjyspt) {
		this.yysjjyspt = yysjjyspt;
	}

	public String getTyshxydm() {
		return tyshxydm;
	}

	public void setTyshxydm(String tyshxydm) {
		this.tyshxydm = tyshxydm;
	}

	public String getJjgm() {
		return jjgm;
	}

	public void setJjgm(String jjgm) {
		this.jjgm = jjgm;
	}

	public String getRygm() {
		return rygm;
	}

	public void setRygm(String rygm) {
		this.rygm = rygm;
	}

	public String getZczb() {
		return zczb;
	}

	public void setZczb(String zczb) {
		this.zczb = zczb;
	}

	public String getTxdz() {
		return txdz;
	}

	public void setTxdz(String txdz) {
		this.txdz = txdz;
	}

	public String getYb() {
		return yb;
	}

	public void setYb(String yb) {
		this.yb = yb;
	}

	public String getLxr() {
		return lxr;
	}

	public void setLxr(String lxr) {
		this.lxr = lxr;
	}

	public String getLxdh() {
		return lxdh;
	}

	public void setLxdh(String lxdh) {
		this.lxdh = lxdh;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getZyywjhxcp() {
		return zyywjhxcp;
	}

	public void setZyywjhxcp(String zyywjhxcp) {
		this.zyywjhxcp = zyywjhxcp;
	}

	public String getNdxmzyywsr18() {
		return ndxmzyywsr18;
	}

	public void setNdxmzyywsr18(String ndxmzyywsr18) {
		this.ndxmzyywsr18 = ndxmzyywsr18;
	}

	public String getNdxmjlr18() {
		return ndxmjlr18;
	}

	public void setNdxmjlr18(String ndxmjlr18) {
		this.ndxmjlr18 = ndxmjlr18;
	}

	public String getNdxmzyywsr19() {
		return ndxmzyywsr19;
	}

	public void setNdxmzyywsr19(String ndxmzyywsr19) {
		this.ndxmzyywsr19 = ndxmzyywsr19;
	}

	public String getNdxmjlr19() {
		return ndxmjlr19;
	}

	public void setNdxmjlr19(String ndxmjlr19) {
		this.ndxmjlr19 = ndxmjlr19;
	}

	public String getNdyftr() {
		if (ndyftr == null)
			return "";
		if (ndyftr.equals("1"))
			return "1～50万元";
		else if (ndyftr.equals("2"))
			return "50～500万元";
		else if (ndyftr.equals("3"))
			return "500～1000万";
		else if (ndyftr.equals("4"))
			return "1000万元以上 ";

		return ndyftr;
	}

	public void setNdyftr(String ndyftr) {
		this.ndyftr = ndyftr;
	}

	public String getNdyftrzyysrbl() {
		if (ndyftrzyysrbl == null)
			return "";
		if (ndyftrzyysrbl.equals("1"))
			return "1%以内";
		else if (ndyftrzyysrbl.equals("2"))
			return "1%～3%";
		else if (ndyftrzyysrbl.equals("3"))
			return "3%～5%";
		else if (ndyftrzyysrbl.equals("4"))
			return "5%～10%";
		else if (ndyftrzyysrbl.equals("5"))
			return "10%以上";
		return ndyftrzyysrbl;
	}

	public void setNdyftrzyysrbl(String ndyftrzyysrbl) {
		this.ndyftrzyysrbl = ndyftrzyysrbl;
	}

	public String getSfchyhdk() {
		if (sfchyhdk == null)
			return "";
		return sfchyhdk.equals("1") ? "是" : "否";
	}

	public void setSfchyhdk(String sfchyhdk) {
		this.sfchyhdk = sfchyhdk;
	}

	public String getSfchyhdkValue() {
		return sfchyhdkValue;
	}

	public void setSfchyhdkValue(String sfchyhdkValue) {
		this.sfchyhdkValue = sfchyhdkValue;
	}

	public String getSfwgxjsqy() {
		if (sfwgxjsqy == null)
			return "";
		return sfwgxjsqy.equals("1") ? "是" : "否";
	}

	public void setSfwgxjsqy(String sfwgxjsqy) {
		this.sfwgxjsqy = sfwgxjsqy;
	}

	public String getSfwgxjsqyValue() {
		return sfwgxjsqyValue;
	}

	public void setSfwgxjsqyValue(String sfwgxjsqyValue) {
		this.sfwgxjsqyValue = sfwgxjsqyValue;
	}

	public String getSfwkjxzxqy() {
		if (sfwkjxzxqy == null)
			return "";
		return sfwkjxzxqy.equals("1") ? "是" : "否";
	}

	public void setSfwkjxzxqy(String sfwkjxzxqy) {
		this.sfwkjxzxqy = sfwkjxzxqy;
	}

	public String getSfwkjxzxqyValue() {
		return sfwkjxzxqyValue;
	}

	public void setSfwkjxzxqyValue(String sfwkjxzxqyValue) {
		this.sfwkjxzxqyValue = sfwkjxzxqyValue;
	}

	public String getZlsl() {
		if (zlsl == null)
			return "";
		return zlsl.equals("1") ? "有" : "无";
	}

	public void setZlsl(String zlsl) {
		this.zlsl = zlsl;
	}

	public String getZlslFmzl() {
		return zlslFmzl;
	}

	public void setZlslFmzl(String zlslFmzl) {
		this.zlslFmzl = zlslFmzl;
	}

	public String getZlslSyxx() {
		return zlslSyxx;
	}

	public void setZlslSyxx(String zlslSyxx) {
		this.zlslSyxx = zlslSyxx;
	}

	public String getSfchkjzxzj() {
		if (sfchkjzxzj == null)
			return "";
		return sfchkjzxzj.equals("1") ? "是" : "否";
	}

	public void setSfchkjzxzj(String sfchkjzxzj) {
		this.sfchkjzxzj = sfchkjzxzj;
	}

	public String getSfycxyz() {
		if (sfycxyz == null)
			return "";
		return sfycxyz.equals("1") ? "是" : "否";
	}

	public void setSfycxyz(String sfycxyz) {
		this.sfycxyz = sfycxyz;
	}

	public String getSfycxyzValue() {
		return sfycxyzValue;
	}

	public void setSfycxyzValue(String sfycxyzValue) {
		this.sfycxyzValue = sfycxyzValue;
	}

	public String getSfyhjgtzztz() {
		if (sfyhjgtzztz == null)
			return "";
		return sfyhjgtzztz.equals("1") ? "是" : "否";
	}

	public void setSfyhjgtzztz(String sfyhjgtzztz) {
		this.sfyhjgtzztz = sfyhjgtzztz;
	}

	public String getSfyhjgtzztzValue() {
		return sfyhjgtzztzValue;
	}

	public void setSfyhjgtzztzValue(String sfyhjgtzztzValue) {
		this.sfyhjgtzztzValue = sfyhjgtzztzValue;
	}

	public String getCgmc() {
		return cgmc;
	}

	public void setCgmc(String cgmc) {
		this.cgmc = cgmc;
	}

	public String getCgly() {
		if (cgly == null)
			return "";
		if (cgly.equals("0"))
			return "其他";
		else if (cgly.equals("1"))
			return "新型材料";
		else if (cgly.equals("2"))
			return "电子信息";
		else if (cgly.equals("3"))
			return "机械";
		else if (cgly.equals("4"))
			return "电气自动化";
		else if (cgly.equals("5"))
			return "新能源";
		else if (cgly.equals("6"))
			return "环保和资源";
		else if (cgly.equals("7"))
			return "轻工纺织";
		else if (cgly.equals("8"))
			return "航空航天";
		else if (cgly.equals("9"))
			return "医药医疗";
		else if (cgly.equals("10"))
			return "包装印刷";
		else if (cgly.equals("11"))
			return "海洋工程";
		else if (cgly.equals("12"))
			return "仪器仪表";
		else if (cgly.equals("13"))
			return "建筑建材";
		else if (cgly.equals("14"))
			return "农林牧渔";
		else if (cgly.equals("15"))
			return "食品饮料";
		else if (cgly.equals("16"))
			return "采矿冶金";
		else if (cgly.equals("17"))
			return "生活家居";
		else if (cgly.equals("18"))
			return "化学化工";
		else if (cgly.equals("19"))
			return "安全防护";
		else if (cgly.equals("20"))
			return "交通运输";
		else if (cgly.equals("21"))
			return "橡胶塑料";
		else if (cgly.equals("22"))
			return "教育";
		else if (cgly.equals("23"))
			return "休闲";
		return cgly;
	}

	public void setCgly(String cgly) {
		this.cgly = cgly;
	}

	public String getCgsx() {
		if (cgsx == null)
			return "";
		if (cgsx.equals("1"))
			return "原始性创新";
		else if (cgsx.equals("2"))
			return "国外引进、消化吸收创新";
		else if (cgsx.equals("3"))
			return "国内技术二次开发";
		return cgsx;
	}

	public void setCgsx(String cgsx) {
		this.cgsx = cgsx;
	}

	public String getCgtxxs() {
		if (cgtxxs == null)
			return "";
		if (cgtxxs.equals("0"))
			return cgtxxsValue;
		else if (cgtxxs.equals("1"))
			return "学术论文/专著";
		else if (cgtxxs.equals("2"))
			return "标准";
		else if (cgtxxs.equals("3"))
			return "专利";
		else if (cgtxxs.equals("4"))
			return "软件著作权";
		else if (cgtxxs.equals("5"))
			return "工艺";
		else if (cgtxxs.equals("6"))
			return "产品";
		else if (cgtxxs.equals("7"))
			return "材料";
		else if (cgtxxs.equals("8"))
			return "装备";
		else if (cgtxxs.equals("9"))
			return "农业、生物品种 ";
		else if (cgtxxs.equals("10"))
			return "矿产品种";
		else if (cgtxxs.equals("11"))
			return "新药";
		return cgtxxs;
	}

	public void setCgtxxs(String cgtxxs) {
		this.cgtxxs = cgtxxs;
	}

	public String getCgtxxsValue() {
		return cgtxxsValue;
	}

	public void setCgtxxsValue(String cgtxxsValue) {
		this.cgtxxsValue = cgtxxsValue;
	}

	public String getCgcsd() {
		if (cgcsd == null)
			return "";
		if (cgcsd.equals("1"))
			return "实验室阶段";
		else if (cgcsd.equals("2"))
			return "小试阶段 ";
		else if (cgcsd.equals("3"))
			return "中试产品阶段";
		else if (cgcsd.equals("4"))
			return "市场化产品阶段";
		return cgcsd;
	}

	public void setCgcsd(String cgcsd) {
		this.cgcsd = cgcsd;
	}

	public String getCgzscqxs() {
		if (cgzscqxs == null)
			return "";
		if (cgzscqxs.equals("0"))
			return "其它";
		else if (cgzscqxs.equals("1"))
			return "专利权";
		else if (cgzscqxs.equals("2"))
			return "软件著作权";
		else if (cgzscqxs.equals("3"))
			return "集成电路布图设计专有权";
		else if (cgzscqxs.equals("4"))
			return "新药";
		else if (cgzscqxs.equals("5"))
			return "植物新品种权";

		return cgzscqxs;
	}

	public void setCgzscqxs(String cgzscqxs) {
		this.cgzscqxs = cgzscqxs;
	}

	public String getZscqqs() {
		if (zscqqs == null)
			return "";
		if (zscqqs.equals("0"))
			return "其它";
		else if (zscqqs.equals("1"))
			return "独占";
		else if (zscqqs.equals("2"))
			return "共有";
		return zscqqs;
	}

	public void setZscqqs(String zscqqs) {
		this.zscqqs = zscqqs;
	}

	public String getZlzt() {
		if (zlzt == null)
			return "";
		if (zlzt.equals("1"))
			return "已受理";
		else if (zlzt.equals("2"))
			return "已公示";
		else if (zlzt.equals("3"))
			return "已授权";

		return zlzt;
	}

	public void setZlzt(String zlzt) {
		this.zlzt = zlzt;
	}

	public String getCgdjqk() {
		if (cgdjqk == null)
			return "";
		if (cgdjqk.equals("0"))
			return "未登记";
		else if (cgdjqk.equals("1"))
			return "已登记";
		return cgdjqk;
	}

	public void setCgdjqk(String cgdjqk) {
		this.cgdjqk = cgdjqk;
	}

	public String getCgdjqkValue() {
		return cgdjqkValue;
	}

	public void setCgdjqkValue(String cgdjqkValue) {
		this.cgdjqkValue = cgdjqkValue;
	}

	public String getNcqcgzyzhfszzzh() {
		if (ncqcgzyzhfszzzh != null  &&ncqcgzyzhfszzzh !="") {
			String str = ncqcgzyzhfszzzh;
			String str2 = "";
			String s[] = str.split(",");
			for (String string : s) {
				if (string.equals("0"))
					str2 = str2 + "其他,";
				else if (string.equals("1"))
					str2 = str2 + "自行投资,";
				else if (string.equals("2"))
					str2 = str2 + "银行贷款,";
				else if (string.equals("3"))
					str2 = str2 + "股权融资,";
				else if (string.equals("4"))
					str2 = str2 + "其他,";
			}
			str2 = str2.substring(0, str2.length() - 1);
			return str2;
		}
		return ncqcgzyzhfszzzh;
	}

	public void setNcqcgzyzhfszzzh(String ncqcgzyzhfszzzh) {
		this.ncqcgzyzhfszzzh = ncqcgzyzhfszzzh;
	}

	public String getNcqcgzyzhfshzkf() {
		if (ncqcgzyzhfshzkf != null &&ncqcgzyzhfshzkf !="") {
			String str = ncqcgzyzhfshzkf;
			String str2 = "";
			String s[] = str.split(",");
			for (String string : s) {
				if (string.equals("0"))
					str2 = str2 + "其他,";
				else if (string.equals("1"))
					str2 = str2 + "产学研合作,";
				else if (string.equals("2"))
					str2 = str2 + "共建经济实体,";
				else if (string.equals("3"))
					str2 = str2 + "企-企联合开发,";
			}
			str2 = str2.substring(0, str2.length() - 1);
			return str2;
		}
		return ncqcgzyzhfshzkf;
	}

	public void setNcqcgzyzhfshzkf(String ncqcgzyzhfshzkf) {
		this.ncqcgzyzhfshzkf = ncqcgzyzhfshzkf;
	}

	public String getNcqcgzyzhfsjszr() {
		if (ncqcgzyzhfsjszr != null  &&ncqcgzyzhfsjszr !="") {
			String str = ncqcgzyzhfsjszr;
			String str2 = "";
			String s[] = str.split(",");
			for (String string : s) {
				if (string.equals("0"))
					str2 = str2 + "其他,";
				else if (string.equals("1"))
					str2 = str2 + "完全转让,";
				else if (string.equals("2"))
					str2 = str2 + "许可转让,";
				else if (string.equals("3"))
					str2 = str2 + "技术入股,";
				else if (string.equals("4"))
					str2 = str2 + "5年独占许可,";
			}
			str2 = str2.substring(0, str2.length() - 1);
			return str2;
		}
		return ncqcgzyzhfsjszr;
	}

	public void setNcqcgzyzhfsjszr(String ncqcgzyzhfsjszr) {
		this.ncqcgzyzhfsjszr = ncqcgzyzhfsjszr;
	}

	public String getYjkzyzhsj() {
		if (yjkzyzhsj == null)
			return "";
		if (yjkzyzhsj.equals("0"))
			return "其他";
		else if (yjkzyzhsj.equals("1"))
			return "已经可转化 ";
		else if (yjkzyzhsj.equals("2"))
			return "1年内可转化";
		else if (yjkzyzhsj.equals("3"))
			return "2年内可转化";
		else if (yjkzyzhsj.equals("4"))
			return "3-5年内可转化";

		return yjkzyzhsj;
	}

	public void setYjkzyzhsj(String yjkzyzhsj) {
		this.yjkzyzhsj = yjkzyzhsj;
	}

	public String getCgjs() {
		return cgjs;
	}

	public void setCgjs(String cgjs) {
		this.cgjs = cgjs;
	}

	public String getSfycghzxq() {
		if (sfycghzxq == null)
			return "";
		return sfycghzxq.equals("1") ? "是" : "否";
	}

	public void setSfycghzxq(String sfycghzxq) {
		this.sfycghzxq = sfycghzxq;
	}

	public String getSfyyxhzdw() {
		if (sfyyxhzdw == null)
			return "";
		return sfyyxhzdw.equals("1") ? "是" : "否";
	}

	public void setSfyyxhzdw(String sfyyxhzdw) {
		this.sfyyxhzdw = sfyyxhzdw;
	}

	public String getSfyyxhzdwValue() {
		return sfyyxhzdwValue;
	}

	public void setSfyyxhzdwValue(String sfyyxhzdwValue) {
		this.sfyyxhzdwValue = sfyyxhzdwValue;
	}

	public String getYxhzfs() {
		if (yxhzfs == null)
			return "";
		if (yxhzfs.equals("0"))
			return yxhzfsValue;
		else if (yxhzfs.equals("1"))
			return "技术转让";
		else if (yxhzfs.equals("2"))
			return "技术入股";
		else if (yxhzfs.equals("3"))
			return "联合开发";
		else if (yxhzfs.equals("4"))
			return "委托研发";
		else if (yxhzfs.equals("5"))
			return "委托团队、专家长期技术服务";
		else if (yxhzfs.equals("6"))
			return "共建新研发、生产实体";

		return yxhzfs;
	}

	public void setYxhzfs(String yxhzfs) {
		this.yxhzfs = yxhzfs;
	}

	public String getYxhzfsValue() {
		return yxhzfsValue;
	}

	public void setYxhzfsValue(String yxhzfsValue) {
		this.yxhzfsValue = yxhzfsValue;
	}

	public String getYssdkjzc() {
		if (yssdkjzc == null)
			return "";
		if (yssdkjzc.equals("0"))
			return yssdkjzcValue;
		else if (yssdkjzc.equals("1"))
			return "研发奖补 ";
		else if (yssdkjzc.equals("2"))
			return "省重点研发计划";
		else if (yssdkjzc.equals("3"))
			return "省科技人才计划";
		else if (yssdkjzc.equals("4"))
			return "省级研发平台";

		return yssdkjzc;
	}

	public void setYssdkjzc(String yssdkjzc) {
		this.yssdkjzc = yssdkjzc;
	}

	public String getYssdkjzcValue() {
		return yssdkjzcValue;
	}

	public void setYssdkjzcValue(String yssdkjzcValue) {
		this.yssdkjzcValue = yssdkjzcValue;
	}

	public String getNsqdsjxm() {
		if (nsqdsjxm == null)
			return "";
		if (nsqdsjxm.equals("0"))
			return nsqdsjxmValue;
		else if (nsqdsjxm.equals("1"))
			return "研发奖补 ";
		else if (nsqdsjxm.equals("2"))
			return "省重点研发计划";
		else if (nsqdsjxm.equals("3"))
			return "省科技人才计划";
		else if (nsqdsjxm.equals("4"))
			return "省级研发平台";

		return nsqdsjxm;
	}

	public void setNsqdsjxm(String nsqdsjxm) {
		this.nsqdsjxm = nsqdsjxm;
	}




	public String getJsfzr() {
		return jsfzr;
	}

	public void setJsfzr(String jsfzr) {
		this.jsfzr = jsfzr;
	}

	public String getJsfsj() {
		return jsfsj;
	}

	public void setJsfsj(String jsfsj) {
		this.jsfsj = jsfsj;
	}

	public String getXqmc() {
		return xqmc;
	}

	public void setXqmc(String xqmc) {
		this.xqmc = xqmc;
	}

	public String getXqbl() {
		if (xqbl == null)
			return "";
		if (xqbl.equals("1"))
			return "技术研发（关键技术）";
		else if (xqbl.equals("2"))
			return "产品研发（产品升级、新产品研发）";
		else if (xqbl.equals("3"))
			return "技术改造（设备、研发生产条件）";
		else if (xqbl.equals("4"))
			return "技术配套（技术、产品等配套合作）";
		return xqbl;
	}

	public void setXqbl(String xqbl) {
		this.xqbl = xqbl;
	}

	public String getJsxqlx() {
		if (jsxqlx == null)
			return "";
		if (jsxqlx.equals("0"))
			return "其他";
		else if (jsxqlx.equals("1"))
			return "“卡脖子”技术";
		else if (jsxqlx.equals("2"))
			return "前沿颠覆性变革技术";
		else if (jsxqlx.equals("3"))
			return "重大核心关键技术";
		else if (jsxqlx.equals("4"))
			return "应用技术";
		return jsxqlx;
	}

	public void setJsxqlx(String jsxqlx) {
		this.jsxqlx = jsxqlx;
	}

	public String getXqly() {
		if (xqly == null)
			return "";
		if (xqly.equals("0"))
			return "其他";
		else if (xqly.equals("1"))
			return "新型材料";
		else if (xqly.equals("2"))
			return "电子信息";
		else if (xqly.equals("3"))
			return "机械";
		else if (xqly.equals("4"))
			return "电气自动化";
		else if (xqly.equals("5"))
			return "新能源";
		else if (xqly.equals("6"))
			return "环保和资源";
		else if (xqly.equals("7"))
			return "轻工纺织";
		else if (xqly.equals("8"))
			return "航空航天";
		else if (xqly.equals("9"))
			return "医药医疗";
		else if (xqly.equals("10"))
			return "包装印刷";
		else if (xqly.equals("11"))
			return "海洋工程";
		else if (xqly.equals("12"))
			return "仪器仪表";
		else if (xqly.equals("13"))
			return "建筑建材";
		else if (xqly.equals("14"))
			return "农林牧渔";
		else if (xqly.equals("15"))
			return "食品饮料";
		else if (xqly.equals("16"))
			return "采矿冶金";
		else if (xqly.equals("17"))
			return "生活家居";
		else if (xqly.equals("18"))
			return "化学化工";
		else if (xqly.equals("19"))
			return "安全防护";
		else if (xqly.equals("20"))
			return "交通运输";
		else if (xqly.equals("21"))
			return "橡胶塑料";
		else if (xqly.equals("22"))
			return "教育";
		else if (xqly.equals("23"))
			return "休闲";
		return xqly;
	}

	public void setXqly(String xqly) {
		this.xqly = xqly;
	}

	public String getMqcpjsxz() {
		return mqcpjsxz;
	}

	public void setMqcpjsxz(String mqcpjsxz) {
		this.mqcpjsxz = mqcpjsxz;
	}

	public String getYfnd() {
		return yfnd;
	}

	public void setYfnd(String yfnd) {
		this.yfnd = yfnd;
	}

	public String getYqdddxg() {
		return yqdddxg;
	}

	public void setYqdddxg(String yqdddxg) {
		this.yqdddxg = yqdddxg;
	}

	public String getYjzkdgz() {
		return yjzkdgz;
	}

	public void setYjzkdgz(String yjzkdgz) {
		this.yjzkdgz = yjzkdgz;
	}

	public String getXyyftjqk() {
		return xyyftjqk;
	}

	public void setXyyftjqk(String xyyftjqk) {
		this.xyyftjqk = xyyftjqk;
	}

	public String getMqhzdxqk() {
		return mqhzdxqk;
	}

	public void setMqhzdxqk(String mqhzdxqk) {
		this.mqhzdxqk = mqhzdxqk;
	}

	public String getSfyxybhzxq() {
		if (sfyxybhzxq == null)
			return "";
		return sfyxybhzxq.equals("1") ? "有" : "无";
	}

	public void setSfyxybhzxq(String sfyxybhzxq) {
		this.sfyxybhzxq = sfyxybhzxq;
	}

	public String getYxhzdx() {
		if (yxhzdx == null)
			return "";
		return yxhzdx.equals("1") ? "有" : "无";
	}

	public void setYxhzdx(String yxhzdx) {
		this.yxhzdx = yxhzdx;
	}

	public String getYxhzdxValue() {
		return yxhzdxValue;
	}

	public void setYxhzdxValue(String yxhzdxValue) {
		this.yxhzdxValue = yxhzdxValue;
	}

	public String getNcqdhzfs() {
		if (ncqdhzfs == null)
			return "";
		if (ncqdhzfs.equals("0"))
			return ncqdhzfsValue;
		else if (ncqdhzfs.equals("1"))
			return "技术转让";
		else if (ncqdhzfs.equals("2"))
			return "技术入股";
		else if (ncqdhzfs.equals("3"))
			return "联合开发";
		else if (ncqdhzfs.equals("4"))
			return "委托研发";
		else if (ncqdhzfs.equals("5"))
			return "委托团队、专家长期技术服务";
		else if (ncqdhzfs.equals("6"))
			return "共建新研发、生产实体";
		return ncqdhzfs;
	}

	public void setNcqdhzfs(String ncqdhzfs) {
		this.ncqdhzfs = ncqdhzfs;
	}

	public String getNcqdhzfsValue() {
		return ncqdhzfsValue;
	}

	public void setNcqdhzfsValue(String ncqdhzfsValue) {
		this.ncqdhzfsValue = ncqdhzfsValue;
	}

	public String getXqjjjzsj() {
		if (StringUtils.isBlank(xqjjjzsj)) {
			return "暂时不考虑";
		}
		return xqjjjzsj;
	}

	public void setXqjjjzsj(String xqjjjzsj) {
		this.xqjjjzsj = xqjjjzsj;
	}


	public String getWjjjsntntgdhzzj() {
		return wjjjsntntgdhzzj;
	}

	public void setWjjjsntntgdhzzj(String wjjjsntntgdhzzj) {
		this.wjjjsntntgdhzzj = wjjjsntntgdhzzj;
	}

	public String getZjyt() {
		return zjyt;
	}

	public void setZjyt(String zjyt) {
		this.zjyt = zjyt;
	}

	public String getZjqk() {
		return zjqk;
	}

	public void setZjqk(String zjqk) {
		this.zjqk = zjqk;
	}

	public String getXqjjfs() {
		if (xqjjfs == null)
			return "";
		if (xqjjfs.equals("0"))
			return xqjjfsValue;
		else if (xqjjfs.equals("1"))
			return "财政支持";
		else if (xqjjfs.equals("2"))
			return "银行贷款";
		else if (xqjjfs.equals("3"))
			return "风险投资";
		else if (xqjjfs.equals("4"))
			return "上市融资";
		
		return xqjjfs;
	}

	public void setXqjjfs(String xqjjfs) {
		this.xqjjfs = xqjjfs;
	}

	public String getCreateTime() {
		return createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	public String getSqskjzgbmxxdwgkfbValue() {
		return sqskjzgbmxxdwgkfbValue;
	}

	public void setSqskjzgbmxxdwgkfbValue(String sqskjzgbmxxdwgkfbValue) {
		this.sqskjzgbmxxdwgkfbValue = sqskjzgbmxxdwgkfbValue;
	}

	public String getDwxzValue() {
		return dwxzValue;
	}

	public void setDwxzValue(String dwxzValue) {
		this.dwxzValue = dwxzValue;
	}

	public String getFrdb() {
		return frdb;
	}

	public void setFrdb(String frdb) {
		this.frdb = frdb;
	}

	public String getClsj() {
		return clsj;
	}

	public void setClsj(String clsj) {
		this.clsj = clsj;
	}

	public String getNsqdsjxmValue() {
		return nsqdsjxmValue;
	}

	public void setNsqdsjxmValue(String nsqdsjxmValue) {
		this.nsqdsjxmValue = nsqdsjxmValue;
	}

	public String getSssza() {
		return sssza;
	}

	public void setSssza(String sssza) {
		this.sssza = sssza;
	}

	public String getYysjjysptValue() {
		return yysjjysptValue;
	}

	public void setYysjjysptValue(String yysjjysptValue) {
		this.yysjjysptValue = yysjjysptValue;
	}
	public String getSqskjzgbmxxdwgkfb() {
		if (sqskjzgbmxxdwgkfb != null &&sqskjzgbmxxdwgkfb !="") {
			String str = sqskjzgbmxxdwgkfb;
			String str2 = "";
			String s[] = str.split(",");
			//1人员交流 2引进、联合培养人3技术转移 4信息资料交流 5合作研发 6设立联合研发机构/平台/网络
			for (String string : s) {
				if (string.equals("0"))
					str2 = str2 + sqskjzgbmxxdwgkfbValue + ",";
				else if (string.equals("1"))
					str2 = str2 + "同意授权公开单位信息,";
				else if (string.equals("2"))
					str2 = str2 + "同意授权公开成果信息,";
				else if (string.equals("3"))
					str2 = str2 + "同意授权公开需求信息,";
				else if (string.equals("4"))
					str2 = str2 + "不同意授权,";
				
			}
			str2 = str2.substring(0, str2.length() - 1);
			return str2;
		}
		return sqskjzgbmxxdwgkfb;
	}

	public void setSqskjzgbmxxdwgkfb(String sqskjzgbmxxdwgkfb) {
		this.sqskjzgbmxxdwgkfb = sqskjzgbmxxdwgkfb;
	}

	public String getXqjjfsValue() {
		return xqjjfsValue;
	}

	public void setXqjjfsValue(String xqjjfsValue) {
		this.xqjjfsValue = xqjjfsValue;
	}

	public String getSfxwgw() {
		return sfxwgw;
	}

	public void setSfxwgw(String sfxwgw) {
		this.sfxwgw = sfxwgw;
	}

	public String getSfyxck() {
		return sfyxck;
	}

	public void setSfyxck(String sfyxck) {
		this.sfyxck = sfyxck;
	}

	public String getZyhzfs() {
		if (zyhzfs != null &&zyhzfs != "") {
			String str = zyhzfs;
			String str2 = "";
			String s[] = str.split(",");
			//1人员交流 2引进、联合培养人3技术转移 4信息资料交流 5合作研发 6设立联合研发机构/平台/网络
			for (String string : s) {
				if (string.equals("0"))
					str2 = str2 + zyhzfsValue + ",";
				else if (string.equals("1"))
					str2 = str2 + "人员交流,";
				else if (string.equals("2"))
					str2 = str2 + "引进、联合培养人,";
				else if (string.equals("3"))
					str2 = str2 + "技术转移,";
				else if (string.equals("4"))
					str2 = str2 + "信息资料交流 ,";
				else if (string.equals("5"))
					str2 = str2 + "合作研发,";
				else if (string.equals("6"))
					str2 = str2 + "设立联合研发机构/平台/网络,";
				
			}
			str2 = str2.substring(0, str2.length() - 1);
			return str2;
		}
		return "";
	}

	public void setZyhzfs(String zyhzfs) {
		this.zyhzfs = zyhzfs;
	}

	public String getQyyzkdgjqykjcxhzqk() {
		return qyyzkdgjqykjcxhzqk;
	}

	public void setQyyzkdgjqykjcxhzqk(String qyyzkdgjqykjcxhzqk) {
		this.qyyzkdgjqykjcxhzqk = qyyzkdgjqykjcxhzqk;
	}

	public String getZyhzfsValue() {
		return zyhzfsValue;
	}

	public void setZyhzfsValue(String zyhzfsValue) {
		this.zyhzfsValue = zyhzfsValue;
	}
}
